The Alternative Csound Reference Manual
Previous |  | Next

# massign

massign -- Assigns a MIDI channel number to a Csound instrument.

## Description

Assigns a MIDI channel number to a Csound instrument.

## Syntax

massign ichnl, insnum

massign ichnl, "insname"

## Initialization

ichnl -- MIDI channel number (1-16)

insnum -- Csound orchestra instrument number

"insname" -- A string (in double-quotes) representing a named instrument.

## Performance

Assigns a MIDI channel number to a Csound instrument.

## See Also

ctrlinit

## Credits

Author: Barry L. Vercoe - Mike Berry
MIT, Cambridge, Mass.

New in Csound version 3.47

Thanks goes to Rasmus Ekman for pointing out the correct MIDI channel and controller number ranges.

Previous | Home | Next
marimba | Up | maxalloc